package com.anabas.pdasharedlet;

import java.io.*;

class FileSharingControl {

    private int M = 1; // assign 1 for master
    private int S = 2; // assign 2 for slave
    private int N = 0; // assign 0 for no use
    private int File1 = N; // file1 status
    private int File2 = N; // file2 status
    private int NewFileCheck = 0; // mark of new rendered file
          
    public FileSharingControl(){}   
    public synchronized void LockFile(int f, int u){
        if (f==1) File1 = u;
        if (f==2) File2 = u;
    }
    public synchronized void FreeFile(int f){
        if (f==1) File1 = N;
        if (f==2) File2 = N;
    }
    public int FileSharingStatus(int f){
        if (f==1) return(File1);
        if (f==2) return(File2);
        return(-1);
    }
    public void FileSharingStatus() {
        if (File1==M) { System.out.println( "File1 : Master");}
        if (File1==S) { System.out.println( "File1 : Slave");}
        if (File1==N) { System.out.println( "File1 : No Use");}       
        if (File2==M) { System.out.println( "File2 : Master");}
        if (File2==S) { System.out.println( "File2 : Slave");}
        if (File2==N) { System.out.println( "File2 : No Use");}       
    }
    public synchronized void MarkNewFile(int f){
        if (f==1) NewFileCheck = 1;
        if (f==2) NewFileCheck = 2;
    }
    public int NewFileStatus(){
        if (NewFileCheck == 1) return(1);
        if (NewFileCheck == 2) return(2);
        return(0);
    }
}

